<?php
namespace Claromentis\Gallery\Controller;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d" => base64_decode("bG1zZw" . "=="), "_4be135064c4d55c13e6af60c4" . "5cb1fda" => base64_decode("Z2FsbGVye" . "S5wZXJtaX" . "NzaW9ucw=" . "="), "_cd644f263509b3f846" . "90c7c5d4bcdf18" => base64_decode("Z2FsbGVyeS9p" . "bmNsdWRlcy9p" . "bWFnZV9tZXRh" . "ZGF0YS5odG1s"), "_3c438e5e63445b53f7de5" . "1913730eeab" => base64_decode("bn" . "Vs" . "bA" . "=="), "_1c8a00652c6c89e9e0a7d8" . "96cb82a2bd" => base64_decode("Y29tbWVudHNfY29tcG9uZW50Lm9iamVjdF9pZA=" . "="), "_8000500334026c617" . "596255d3914c33d" => base64_decode("WW91IGRvbid0IGhhdmUgcGVybWlzc2lvbiB0byB2a" . "WV3IHRoaXMgaW1hZ2U="), "imag" . "e" => base64_decode("aW1hZ" . "2U="), "_32283335abba069bb099a47145" . "98c28b" => base64_decode("Z2FsbGVyeS9pbmN" . "sdWRlcy9pbWFnZV" . "9jb21tZW50cy5od" . "G1s"), "_4b5e91a0a6f7f822a" . "c389ad9a3fb0ee2" => base64_decode("c3V" . "jY2" . "Vzc" . "w=="), "_e05e0022a2e5ad344b9c" . "4a0d3f64e1a5" => base64_decode("bWVzc2Fn" . "ZQ=="), "_5452ca1b18704a7b6c2d7e7a53e4" . "ae47" => base64_decode("Z2FsbGVyeS5ub19pbWFnZ" . "V9pZA=="), "_0bc7588938bfc7dc40d438d105d" . "cdf1c" => base64_decode("YW" . "xi" . "dW" . "0="), "_66e78cb3ecbe9e2ac0ef58fa36" . "e762bb" => base64_decode("bGlrZXNfY29tcG9uZ" . "W50Lm9iamVjdF9pZA" . "=="), "_75d423257b" . "a448155cc97" . "033e61f426f" => base64_decode("Z2FsbGVyeS9pbm" . "NsdWRlcy9pbWFn" . "ZV9saWtlcy5odG" . "1s"));
use Claromentis\Gallery\GalleryPermissions;
use Claromentis\Core\Application;
use Claromentis\Core\Http\gpc;
use Claromentis\Core\Http\JsonPrettyResponse;
use Claromentis\Core\Http\TemplaterCallResponse;
use Exception;
use Image;
use ImageAlbum;
use ImageLightbox;
use InvalidArgumentException;
use Claromentis\Core\Http\SymfonyRequest;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpFoundation\JsonResponse;
use TokenException;
class ImageDetailsController
{
    
    
    
    
    
    
    
    
    
    
    
    
    public function ValidateImage(SymfonyRequest $request)
    {
        global $g_application;
        $_84e255a4ec669726bc592e3153ce97c1 = $g_application[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_4be135064c4d55c13e6af6" . "0c45cb1fda"]];
        if (!$request->attributes->has($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["imag" . "e"]) || !$request->attributes->get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["imag" . "e"])) {
            throw new InvalidArgumentException($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa744f69bbc0e8" . "b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_5452ca1b1" . "8704a7b6c2" . "d7e7a53e4a" . "e47"]));
        }
        $_0813911845a745577176d995fee240ad = $request->attributes->get($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["i" . "m" . "a" . "g" . "e"]);
        $image = new Image();
        $image->Load($_0813911845a745577176d995fee240ad);
        if (!$image->GetId() || !$image->GetAlbumId()) {
            throw new Exception($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5452ca1b18704a7b6c2d" . "7e7a53e4ae47"]));
        }
        $_0bc7588938bfc7dc40d438d105dcdf1c = new ImageAlbum($image->GetAlbumID());
        if (!$_0bc7588938bfc7dc40d438d105dcdf1c->UserHasPermission(PERM_VIEW) && !$_84e255a4ec669726bc592e3153ce97c1->CanIManageAlbums()) {
            throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_8000500334026c6" . "17596255d3914c33" . "d"]);
        }
        $request->attributes->set($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["i" . "m" . "a" . "g" . "e"], $image);
        $request->attributes->set($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0bc7588938bfc7dc40d438d105dcdf" . "1c"], $_0bc7588938bfc7dc40d438d105dcdf1c);
        return null;
    }
    
    
    
    
    
    
    
    
    public function GetComments(Application $app, $image)
    {
        $args = [$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_1c8a006" . "52c6c89e" . "9e0a7d89" . "6cb82a2b" . "d"] => $image->GetId()];
        return new TemplaterCallResponse($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_32283335abba069bb099a4714598c28" . "b"], $args);
    }
    
    
    
    
    
    
    
    
    
    
    public function GetMetadata(Application $app, Image $image)
    {
        
        
        global $args, $datasources;
        
        
        
        
        $_25941f62b00d37649aecb69932bb2fba = [0 => $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_3c438e5e63445b53f7de51913730e" . "eab"]];
        $_e0f99d1e2fd6c8ce39dd84c5242ed7ed = [];
        $_0bc7588938bfc7dc40d438d105dcdf1c = new ImageAlbum($image->GetAlbumId());
        $_95aa76f19a87d9905f9a740fac0bde2e = $image->GetImageTags();
        $_0bc7588938bfc7dc40d438d105dcdf1c->PrepareTagOptions($_e0f99d1e2fd6c8ce39dd84c5242ed7ed, $_25941f62b00d37649aecb69932bb2fba);
        $_0bc7588938bfc7dc40d438d105dcdf1c->GetTagsAsHTML($args, $datasources, $_95aa76f19a87d9905f9a740fac0bde2e, $_e0f99d1e2fd6c8ce39dd84c5242ed7ed);
        $image->ShowMetadataFields($_25941f62b00d37649aecb69932bb2fba, false);
        $_fd5a3a643834299cbdadfc3540ba0bcb = new TemplaterCallResponse($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_cd644f2" . "63509b3f" . "84690c7c" . "5d4bcdf1" . "8"], $args);
        $_fd5a3a643834299cbdadfc3540ba0bcb->SetDatasrc($datasources);
        return $_fd5a3a643834299cbdadfc3540ba0bcb;
    }
    
    
    
    
    
    
    
    
    public function GetLikes(Application $app, $image)
    {
        $args = [$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_66e78cb3ecbe9e2ac0ef" . "58fa36e762bb"] => $image->GetId()];
        return new TemplaterCallResponse($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_75d423257ba448155cc97033e61f42" . "6f"], $args);
    }
    
    
    
    
    
    
    
    
    
    
    public function Favorite(Application $app, ServerRequestInterface $request, $image)
    {
        gpc::CheckToken($request);
        $_b30480f39eddbe8df8bb6d564d5eb7b9 = new ImageLightbox($app->security->GetUserId());
        if (!$_b30480f39eddbe8df8bb6d564d5eb7b9->AddToLightbox([$image->GetId()])) {
            return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_4b5e91a0a6f7f822ac" . "389ad9a3fb0ee2"] => false, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_e05e0022a2e5ad344b9c4" . "a0d3f64e1a5"] => $_b30480f39eddbe8df8bb6d564d5eb7b9->GetErrMsg()], 500);
        }
        return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4b5e91a0a6f7f822ac389ad9a3fb0e" . "e2"] => true]);
    }
    
    
    
    
    
    
    
    
    
    
    public function Unfavorite(Application $app, ServerRequestInterface $request, $image)
    {
        gpc::CheckToken($request);
        $_b30480f39eddbe8df8bb6d564d5eb7b9 = new ImageLightbox($app->security->GetUserId());
        if (!$_b30480f39eddbe8df8bb6d564d5eb7b9->DeleteFromLightbox([$image->GetId()])) {
            return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4b5e91a0a6f7f822ac389ad9" . "a3fb0ee2"] => false, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e05e0022a2e5ad344b9c4a0d3" . "f64e1a5"] => $_b30480f39eddbe8df8bb6d564d5eb7b9->GetErrMsg()], 500);
        }
        return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4b5e91a0a6f7f822" . "ac389ad9a3fb0ee2"] => true]);
    }
}